Subject: Re: bug#21562: 24.5; Copy dir via Tramp pscp does not work

From: Warren Lynn <[email-masked]>
Date: Fri, 2 Oct 2015 10:35:16 -0400

I found the cause and have a fix for it. Attached is the patch (on top of
Emacs 24.5.1).:

The cause is the order of the function "shell-quote-argument" and
"file-name-nondirectory" is wrong. So if I have a target directory name
"c:\wlynn\tmp\xyz", the buggy code will first quote it into
"\"c:\wlynn\tmp\xyz\"", and the file-name-nondirectory function will strip
the last part, ending with something like this:
"\"c:\wlynn\tmp"

See the dangling leading quote?

I verified that it works now. Let me know if you think the patch is good
and is merged into the latest dev branch. Thanks.

On Sat, Sep 26, 2015 at 5:16 AM, Michael Albinus <[email-masked]>
wrote:

> Warren Lynn <[email-masked]> writes:
>
> > I use dired/tramp to view a directory on a remote machine (Linux) with
> > pscp method, and if I do a copy (recursively) of a remote dir to
> > either a local or another remote dir with command dired-to-copy, it
> > fails (after entering the password) with the following message in the
> > minibuffer:
> >
> > ============================================
> > Tramp failed to connect. If this happens repeatedly try 'M-x
> > tramp-cleanup-this-connection'
> > ============================================
>
> Please apply (setq tramp-verbose 6) prior to your test. Rerun the test,
> and show us the resulting Tramp debug buffer.
>
> Best regards, Michael.
>